Package io.vertx.grpc.reflection.v1

## Class ExtensionNumberResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ExtensionNumberResponse.Builder>
      - - io.vertx.grpc.reflection.v1.ExtensionNumberResponse.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ExtensionNumberResponseOrBuilder`, `Cloneable`
  Enclosing class:
    ExtensionNumberResponse

      public static final class ExtensionNumberResponse.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ExtensionNumberResponse.Builder>
      implements ExtensionNumberResponseOrBuilder

       A list of extension numbers sent by the server answering
       all_extension_numbers_of_type request.

  Protobuf type `grpc.reflection.v1.ExtensionNumberResponse`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtensionNumberResponse.Builder` | `addAllExtensionNumber​(Iterable<? extends Integer> values)` | `repeated int32 extension_number = 2;`
    `ExtensionNumberResponse.Builder` | `addExtensionNumber​(int value)` | `repeated int32 extension_number = 2;`
    `ExtensionNumberResponse` | `build()` |
    `ExtensionNumberResponse` | `buildPartial()` |
    `ExtensionNumberResponse.Builder` | `clear()` |
    `ExtensionNumberResponse.Builder` | `clearBaseTypeName()` | Full name of the base type, including the package name.
    `ExtensionNumberResponse.Builder` | `clearExtensionNumber()` | `repeated int32 extension_number = 2;`
    `String` | `getBaseTypeName()` | Full name of the base type, including the package name.
    `com.google.protobuf.ByteString` | `getBaseTypeNameBytes()` | Full name of the base type, including the package name.
    `ExtensionNumberResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `int` | `getExtensionNumber​(int index)` | `repeated int32 extension_number = 2;`
    `int` | `getExtensionNumberCount()` | `repeated int32 extension_number = 2;`
    `List<Integer>` | `getExtensionNumberList()` | `repeated int32 extension_number = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ExtensionNumberResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ExtensionNumberResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ExtensionNumberResponse.Builder` | `mergeFrom​(ExtensionNumberResponse other)` |
    `ExtensionNumberResponse.Builder` | `setBaseTypeName​(String value)` | Full name of the base type, including the package name.
    `ExtensionNumberResponse.Builder` | `setBaseTypeNameBytes​(com.google.protobuf.ByteString value)` | Full name of the base type, including the package name.
    `ExtensionNumberResponse.Builder` | `setExtensionNumber​(int index, int value)` | `repeated int32 extension_number = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionNumberResponse.Builder>`

    - #### clear

          public ExtensionNumberResponse.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionNumberResponse.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionNumberResponse.Builder>`

    - #### getDefaultInstanceForType

          public ExtensionNumberResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ExtensionNumberResponse build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ExtensionNumberResponse buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ExtensionNumberResponse.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ExtensionNumberResponse.Builder>`

    - #### mergeFrom

          public ExtensionNumberResponse.Builder mergeFrom​(ExtensionNumberResponse other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionNumberResponse.Builder>`

    - #### mergeFrom

          public ExtensionNumberResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ExtensionNumberResponse.Builder>`
      Throws:
        `IOException`

    - #### getBaseTypeName

          public String getBaseTypeName()

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Specified by:
        `getBaseTypeName` in interface `ExtensionNumberResponseOrBuilder`
      Returns:
        The baseTypeName.

    - #### getBaseTypeNameBytes

          public com.google.protobuf.ByteString getBaseTypeNameBytes()

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Specified by:
        `getBaseTypeNameBytes` in interface `ExtensionNumberResponseOrBuilder`
      Returns:
        The bytes for baseTypeName.

    - #### setBaseTypeName

          public ExtensionNumberResponse.Builder setBaseTypeName​(String value)

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Parameters:
        `value` - The baseTypeName to set.
      Returns:
        This builder for chaining.

    - #### clearBaseTypeName

          public ExtensionNumberResponse.Builder clearBaseTypeName()

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Returns:
        This builder for chaining.

    - #### setBaseTypeNameBytes

          public ExtensionNumberResponse.Builder setBaseTypeNameBytes​(com.google.protobuf.ByteString value)

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Parameters:
        `value` - The bytes for baseTypeName to set.
      Returns:
        This builder for chaining.

    - #### getExtensionNumberList

          public List<Integer> getExtensionNumberList()

      `repeated int32 extension_number = 2;`
      Specified by:
        `getExtensionNumberList` in interface `ExtensionNumberResponseOrBuilder`
      Returns:
        A list containing the extensionNumber.

    - #### getExtensionNumberCount

          public int getExtensionNumberCount()

      `repeated int32 extension_number = 2;`
      Specified by:
        `getExtensionNumberCount` in interface `ExtensionNumberResponseOrBuilder`
      Returns:
        The count of extensionNumber.

    - #### getExtensionNumber

          public int getExtensionNumber​(int index)

      `repeated int32 extension_number = 2;`
      Specified by:
        `getExtensionNumber` in interface `ExtensionNumberResponseOrBuilder`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The extensionNumber at the given index.

    - #### setExtensionNumber

          public ExtensionNumberResponse.Builder setExtensionNumber​(int index,
                                                                    int value)

      `repeated int32 extension_number = 2;`
      Parameters:
        `index` - The index to set the value at.
        `value` - The extensionNumber to set.
      Returns:
        This builder for chaining.

    - #### addExtensionNumber

          public ExtensionNumberResponse.Builder addExtensionNumber​(int value)

      `repeated int32 extension_number = 2;`
      Parameters:
        `value` - The extensionNumber to add.
      Returns:
        This builder for chaining.

    - #### addAllExtensionNumber

          public ExtensionNumberResponse.Builder addAllExtensionNumber​(Iterable<? extends Integer> values)

      `repeated int32 extension_number = 2;`
      Parameters:
        `values` - The extensionNumber to add.
      Returns:
        This builder for chaining.

    - #### clearExtensionNumber

          public ExtensionNumberResponse.Builder clearExtensionNumber()

      `repeated int32 extension_number = 2;`
      Returns:
        This builder for chaining.